MsWks4Text.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <map>`
`#include <vector>`
`#include <librevenge/librevenge.h>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MsWks4Zone.hxx"`
`#include "MsWksDocument.hxx"`
`#include "MsWks4Text.hxx"`

## Classes

struct | MsWks4PLCInternal::PLC
| Internal and low level: the PLC different types and their structures. More...
struct | MsWks4PLCInternal::KnownPLC
| a map of known plc More...
class | MsWks4TextInternal::FontName
| Internal: class to store a font name: name with sysid. More...
struct | MsWks4TextInternal::Font
| Internal: class to store a font properties. More...
struct | MsWks4TextInternal::Paragraph
| Internal: class to store a paragraph properties. More...
struct | MsWks4TextInternal::Ftnt
| Internal: class to store footnote definition. More...
struct | MsWks4TextInternal::Token
| Internal: class to store field definition: TOKN entry. More...
struct | MsWks4TextInternal::Object
| Internal: class to store field definition: TOKN entry. More...
struct | MsWks4TextInternal::DataPLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | MsWks4TextInternal::State
| Internal: the state of a MsWks4Text. More...

## Namespaces

namespace | MsWks4TextInternal
| Internal: the structures of a MsWks4Text.
namespace | MsWks4PLCInternal
| Internal and low level: the structures of a MsWks4Text used to parse PLC.

## Macros

#define | DEBUG_FP 0
#define | DEBUG_PP 0
#define | DEBUG_PLC_POS 0

## Enumerations

enum | MsWks4TextInternal::PLCType { MsWks4TextInternal::BTE =0 , MsWks4TextInternal::PGD , MsWks4TextInternal::FTNT , MsWks4TextInternal::TOKEN , MsWks4TextInternal::EOBJ , MsWks4TextInternal::Unknown }
| different types More...

## Functions

std::ostream & | MsWks4TextInternal::operator<< (std::ostream &o, FontName const &ft)
std::ostream & | MsWks4TextInternal::operator<< (std::ostream &o, Font const &ft)
| operator<< for a font
std::ostream & | MsWks4TextInternal::operator<< (std::ostream &o, Paragraph const &ind)
| operator<<
std::ostream & | MsWks4TextInternal::operator<< (std::ostream &o, Ftnt const &ftnt)
| operator<< for footnote
std::ostream & | MsWks4TextInternal::operator<< (std::ostream &o, Token const &tok)
| operator<< for Token
std::ostream & | MsWks4TextInternal::operator<< (std::ostream &o, Object const &obj)
| operator<< for Object
std::ostream & | MsWks4TextInternal::operator<< (std::ostream &o, DataPLC const &plc)
| operator<< for DataPLC

## Macro Definition Documentation

## DEBUG_FP

#define DEBUG_FP 0

## DEBUG_PLC_POS

#define DEBUG_PLC_POS 0

## DEBUG_PP

#define DEBUG_PP 0